MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000133Kolibri OS (trunk)[All Projects] Kernelpublic2021-04-18 19:292021-11-02 22:12
ReporterDoczom 
Assigned ToDoczom 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformAny x86 / Любой x86OSKolibriOSOS VersionSVN autobuilds
Product VersionSVN build / автосборка SVN 
Target VersionFixed in VersionSVN build / автосборка SVN 
Summary0000133: Сбой работы ядра при вызове 74 сисфункции
DescriptionПри вызове 74 сисфункции 1 подфункции, где вместо указателя на буфер используется адрес 0x80003000 падает ядро полностью.
Steps To Reproduceдобавить в программу код:

mov eax,74
mov bl,1
mov bh,1
mov ecx,0x80003000
int 0x40

Additional InformationПохожие уязвимости были в 36 сисфункции.
Проверил в 2 образах разницей в 2-3 месяца, результат одинаковый-краш системы.
Проверял в VirtualBox.
TagsNo tags attached.
SVN revision / ревизия SVN
Type of distribution / Тип дистрибутиваany / любой
Attached Files

- Relationships

-  Notes
(0000223)
Doczom (developer)
2021-11-02 22:12

Fixed in #8700.

- Issue History
Date Modified Username Field Change
2021-04-18 19:29 Doczom New Issue
2021-04-18 19:52 dunkaist Status new => confirmed
2021-10-25 18:17 Doczom Resolution open => fixed
2021-10-25 18:18 Doczom Issue cloned: 0000147
2021-11-02 22:12 Doczom Note Added: 0000223
2021-11-02 22:12 Doczom Status confirmed => closed
2021-11-02 22:12 Doczom Assigned To => Doczom
2021-11-02 22:12 Doczom Fixed in Version => SVN build / автосборка SVN


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker